## remmina 1.4.2+dfsg

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 3.0.0)

set(CMAKE_COLOR_MAKEFILE ON)

project(Remmina C CXX)

include(CheckCCompilerFlag)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(FindPkgConfig)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)
include(ConfigOptions)
include(GtkUpdateIconCache)
include(CheckHasModule)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64" OR CMAKE_SYSTEM_PROCESSOR MATCHES "i686")
        CHECK_SYMBOL_EXISTS(__x86_64__ "" IS_X86_64)
        if(IS_X86_64)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
        else()
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -march=i686")
        endif()
    else()
        if(CMAKE_POSITION_INDEPENDENT_CODE)
            if(${CMAKE_VERSION} VERSION_LESS 2.8.9)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
            endif()
        endif()
    endif()

    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

    if(WITH_SSE2)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
    endif()

    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
        add_definitions(-DDEBUG)
        CHECK_C_COMPILER_FLAG (-Wunused-result Wunused-result)
        if(Wunused-result)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-result")
        endif()
        CHECK_C_COMPILER_FLAG (-Wunused-but-set-variable Wunused-but-set-variable)
        if(Wunused-but-set-variable)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-but-set-variable")
        endif()
        CHECK_C_COMPILER_FLAG(-Wdeprecated-declarations Wdeprecated-declarations)
        if(Wdeprecated-declarations)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
        endif()

        CHECK_C_COMPILER_FLAG (-Wimplicit-function-declaration Wimplicit-function-declaration)
        if(Wimplicit-function-declaration)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
        endif()
        if (NOT OPENBSD)
            CHECK_C_COMPILER_FLAG (-Wredundant-decls Wredundant-decls)
            if(Wredundant-decls)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
            endif()
        endif()
    endif()

    if(CMAKE_BUILD_TYPE STREQUAL "Release")
        add_definitions(-DNDEBUG)
        CHECK_C_COMPILER_FLAG (-Wno-unused-result Wno-unused-result)
        if(Wno-unused-result)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
        endif()
        CHECK_C_COMPILER_FLAG (-Wno-unused-but-set-variable Wno-unused-but-set-variable)
        if(Wno-unused-but-set-variable)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
        endif()
        CHECK_C_COMPILER_FLAG(-Wno-deprecated-declarations Wno-deprecated-declarations)
        if(Wno-deprecated-declarations)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
        endif()

        CHECK_C_COMPILER_FLAG (-Wimplicit-function-declaration Wimplicit-function-declaration)
        if(Wimplicit-function-declaration)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wimplicit-function-declaration")
        endif()
        if (NOT OPENBSD)
            CHECK_C_COMPILER_FLAG (-Wredundant-decls Wredundant-decls)
            if(Wredundant-decls)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wredundant-decls")
            endif()
        endif()
    else()
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g")
    endif()

endif()

if((TARGET_ARCH MATCHES "x86|x64") AND (NOT DEFINED WITH_SSE2))
    option(WITH_SSE2 "Enable SSE2 optimization." ON)
else()
    option(WITH_SSE2 "Enable SSE2 optimization." OFF)
endif()

if(TARGET_ARCH MATCHES "ARM")
    if (NOT DEFINED WITH_NEON)
        option(WITH_NEON "Enable NEON optimization." ON)
    else()
        option(WITH_NEON "Enable NEON optimization." OFF)
    endif()
else()
    if(NOT APPLE)
        option(WITH_IPP "Use Intel Performance Primitives." OFF)
    endif()
endif()


if(${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
    if(CMAKE_BUILD_TYPE STREQUAL "Release")
        add_definitions(-DNDEBUG)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-parameter")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-macros -Wno-padded")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-c11-extensions -Wno-gnu")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-command-line-argument")
        CHECK_C_COMPILER_FLAG(-Wno-deprecated-declarations Wno-deprecated-declarations)
        if(Wno-deprecated-declarations)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
        endif()
    else()
        add_definitions(-DDEBUG)
        #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-parameter")
        #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-macros -Wpadded")
        #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wc11-extensions -Wgnu")
        #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wunused-command-line-argument")
        CHECK_C_COMPILER_FLAG(-Wdeprecated-declarations Wdeprecated-declarations)
        if(Wdeprecated-declarations)
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdeprecated-declarations")
        endif()
    endif()
endif()

check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(src/include)

# FreeBSD

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "-rdynamic")
    include_directories(/usr/local/include /usr/include)
    link_directories(/usr/local/lib /usr/lib)
    set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
    set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX} /usr/local/lib)
endif()

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "4")
set(REMMINA_VERSION_REVISION "2")
#set(REMMINA_VERSION_SUFFIX "1")
#set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}.${REMMINA_VERSION_SUFFIX}")
set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}")

message(STATUS "Remmina version: ${REMMINA_VERSION}")

include(GetGitRevisionDescription)
git_get_exact_tag(REMMINA_GIT_REVISION --tags --always)
if(${REMMINA_GIT_REVISION} STREQUAL "n/a")
    git_rev_parse(REMMINA_GIT_REVISION --short)
endif()

message(STATUS "Git Revision: ${REMMINA_GIT_REVISION}")

# REMMINA_APP_ID should follow Gnome Application ID rules
set(REMMINA_APP_ID "org.remmina.Remmina")

if(NOT REMMINA_DATADIR)
    set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
    if(NOT REMMINA_RUNTIME_DATADIR)
        set(REMMINA_RUNTIME_DATADIR "${REMMINA_DATADIR}")
    endif()
endif()
if(NOT REMMINA_TERM_CS_DIR)
    set(REMMINA_TERM_CS_DIR "${REMMINA_DATADIR}/remmina/theme")
endif()
if(NOT REMMINA_LOCALEDIR)
    set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
    if(NOT REMMINA_RUNTIME_LOCALEDIR)
        set(REMMINA_RUNTIME_LOCALEDIR "${REMMINA_LOCALEDIR}")
    endif()
endif()
if(NOT REMMINA_PLUGINDIR)
    set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")
    if(NOT REMMINA_RUNTIME_PLUGINDIR)
        set(REMMINA_RUNTIME_PLUGINDIR "${REMMINA_PLUGINDIR}")
    endif()
endif()
if(NOT REMMINA_UIDIR)
    set(REMMINA_UIDIR "${REMMINA_DATADIR}/remmina/ui")
    if(NOT REMMINA_RUNTIME_UIDIR)
        set(REMMINA_RUNTIME_UIDIR "${REMMINA_UIDIR}")
    endif()
endif()
if(NOT REMMINA_THEMEDIR)
    set(REMMINA_THEMEDIR "${REMMINA_DATADIR}/remmina/theme")
    if(NOT REMMINA_RUNTIME_THEMEDIR)
        set(REMMINA_RUNTIME_THEMEDIR "${REMMINA_THEMEDIR}")
    endif()
endif()
if(NOT REMMINA_RESDIR)
	set(REMMINA_RESDIR "${REMMINA_DATADIR}/remmina/res")
	if(NOT REMMINA_RUNTIME_RESDIR)
		set(REMMINA_RUNTIME_RESDIR "${REMMINA_RESDIR}")
	endif()
endif()
if(NOT REMMINA_EXTERNAL_TOOLS_DIR)
    set(REMMINA_EXTERNAL_TOOLS_DIR "${REMMINA_DATADIR}/remmina/external_tools")
    if(NOT REMMINA_RUNTIME_EXTERNAL_TOOLS_DIR)
        set(REMMINA_RUNTIME_EXTERNAL_TOOLS_DIR "${REMMINA_EXTERNAL_TOOLS_DIR}")
    endif()
endif()

option(SNAP_BUILD_ONLY "SNAP_BUILD_ONLY" OFF)
if(SNAP_BUILD_ONLY)
    if(NOT SNAPCRAFT)
        message(FATAL_ERROR "snapcraft not found, impossible to create only snap target")
    endif()
    return()
endif()

if(SNAP_BUILD)
    add_definitions(-DSNAP_BUILD)
endif()

# Uninstall support
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

find_required_package(GTK)

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)
if(NOT CMAKE_USE_PTHREADS_INIT)
    message(FATAL_ERROR "pthreads thread library not found")
endif()

# Add GCC sanitizer options, must be done after pthreads detection
# see remmina issue #1276
if(CMAKE_COMPILER_IS_GNUCC AND WITH_GCC_SANITIZE_ADDRESS)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
endif()

# LLVM coverage flags - https://clang.llvm.org/docs/SourceBasedCodeCoverage.html
if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang" AND WITH_CLANG_COVERAGE)
    message(STATUS "Enabling coverage.")
    add_definitions(-DWITH_CLANG_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fprofile-instr-generate -fcoverage-mapping -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-instr-generate")
elseif("${CMAKE_C_COMPILER_ID}" MATCHES "GNU" AND WITH_GCC_PROFILING)
    message(STATUS "Enabling profiling.")
    add_definitions(-DWITH_GCC_PROFILING)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pg")
endif()

find_suggested_package(GCRYPT)
find_suggested_package(AVAHI)
find_package(OpenSSL)
find_package(sodium REQUIRED)
if(sodium_FOUND)

=== data/CMakeLists.txt ===
# data - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

add_subdirectory(ui)
add_subdirectory(theme)
add_subdirectory(desktop)
add_subdirectory(icons)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== plugins/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

# Needed FreeRDP version to build freerdp plugin
set(FREERDP_REQUIRED_MAJOR 2)
set(FREERDP_REQUIRED_MINOR 0)
set(FREERDP_REQUIRED_REVISION 0)
set(FREERDP_REQUIRED_VERSIONSTRING
    ${FREERDP_REQUIRED_MAJOR}.${FREERDP_REQUIRED_MINOR}.${FREERDP_REQUIRED_REVISION})

include_directories(${CMAKE_SOURCE_DIR}/plugins)

set(APPICONSCALE_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/emblems")

set(REMMINA_COMMON_INCLUDE_DIRS ${GTK_INCLUDE_DIRS})
set(REMMINA_COMMON_LIBRARIES ${GTK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
    add_definitions(-DHAVE_LIBSSH)
    include_directories(${SSH_INCLUDE_DIRS})
    target_link_libraries(remmina ${SSH_LIBRARIES})
endif()

find_required_package(XKBFILE)

if(LIBSSH_FOUND AND XKBFILE_FOUND)
    add_subdirectory(nx)
endif()

add_subdirectory(xdmcp)

find_suggested_package(FREERDP)
if(FREERDP_FOUND)
    add_subdirectory(rdp)
endif()

#find_suggested_package(TELEPATHY)
#if(TELEPATHY_FOUND)
#add_subdirectory(telepathy)
#endif()

find_suggested_package(LIBVNCSERVER)
if(LIBVNCSERVER_FOUND)
    add_subdirectory(vnc)
endif()

find_suggested_package(SPICE)
if(SPICE_FOUND)
    add_subdirectory(spice)
endif()

option(WITH_WWW "Build WWW plugin" ON)
if(WITH_WWW)
    message(STATUS "Enabling WWW plugin.")
    add_definitions(-DWITH_WWW)
    pkg_search_module(WEBKIT2
        webkit2gtk-4.0
        webkit2gtk-3.0
        libwebkit2gtk-4.0
        libwebkit2gtk-3.0
        )
    if(WEBKIT2_FOUND)
        message(STATUS "WWW plugin dependencies found")
        add_subdirectory(www)
    else(WEBKIT2_FOUND)
        message(WARNING "WEBKIT not found")
    endif(WEBKIT2_FOUND)
else()
    message(STATUS "Disabling WWW plugin.")
endif()

if(WITH_EXAMPLES)
    message(STATUS "Enabling examples and test plugins.")
    add_subdirectory(tool_hello_world)
endif()
add_subdirectory(exec)
add_subdirectory(st)

CheckHasModule(KF5Wallet)
if(HAS_MODULE_KF5Wallet)
    message(STATUS "Enabling KDE Wallet plugin.")
    add_definitions(-DWITH_KF5WALLET)
    add_subdirectory(kwallet)
endif()

=== po/CMakeLists.txt ===
# po/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

include(GETTEXT)
gettext(${CMAKE_CURRENT_SOURCE_DIR} "remmina")

=== src/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 3.0.0)

list(APPEND REMMINA_SRCS
	"remmina_about.c"
	"remmina_about.h"
	"remmina_applet_menu.c"
	"remmina_applet_menu.h"
	"remmina_applet_menu_item.c"
	"remmina_applet_menu_item.h"
	"remmina_avahi.c"
	"remmina_avahi.h"
	"remmina.c"
	"remmina.h"
	"remmina_chat_window.c"
	"remmina_chat_window.h"
	"remmina_crypt.c"
	"remmina_crypt.h"
	"remmina_exec.c"
	"remmina_exec.h"
	"remmina_file.c"
	"remmina_file_editor.c"
	"remmina_file_editor.h"
	"remmina_file.h"
	"remmina_file_manager.c"
	"remmina_file_manager.h"
	"remmina_ftp_client.c"
	"remmina_ftp_client.h"
	"remmina_icon.c"
	"remmina_icon.h"
	"remmina_key_chooser.c"
	"remmina_key_chooser.h"
	"remmina_log.c"
	"remmina_log.h"
	"remmina_main.c"
	"remmina_main.h"
	"remmina_marshals.c"
	"remmina_marshals.h"
	"remmina_marshals.list"
	"remmina_masterthread_exec.c"
	"remmina_masterthread_exec.h"
	"remmina_message_panel.c"
	"remmina_message_panel.h"
	"remmina_plugin_manager.c"
	"remmina_plugin_manager.h"
	"remmina_ext_exec.c"
	"remmina_ext_exec.h"
	"remmina_pref.c"
	"remmina_pref_dialog.c"
	"remmina_pref_dialog.h"
	"remmina_pref.h"
	"remmina_protocol_widget.c"
	"remmina_protocol_widget.h"
	"remmina_public.c"
	"remmina_public.h"
	"remmina_scrolled_viewport.c"
	"remmina_scrolled_viewport.h"
	"remmina_sftp_client.c"
	"remmina_sftp_client.h"
	"remmina_sftp_plugin.c"
	"remmina_sftp_plugin.h"
	"remmina_sodium.c"
	"remmina_sodium.h"
	"remmina_ssh.c"
	"remmina_ssh.h"
	"remmina_ssh_plugin.c"
	"remmina_ssh_plugin.h"
	"remmina_string_array.c"
	"remmina_string_array.h"
	"remmina_string_list.c"
	"remmina_string_list.h"
	"remmina_unlock.c"
	"remmina_unlock.h"
	"remmina_utils.c"
	"remmina_utils.h"
	"remmina_widget_pool.c"
	"remmina_widget_pool.h"
	"remmina_external_tools.c"
	"remmina_external_tools.h"
	"remmina_sysinfo.h"
	"remmina_sysinfo.c"
	"rcw.c"
	"rcw.h"
	"rmnews.c"
	"rmnews.h"
	"remmina_mpchange.c"
	"remmina_mpchange.h"
	"remmina_scheduler.c"
	"remmina_scheduler.h"
	"remmina_stats.c"
	"remmina_stats.h"
	"remmina_stats_sender.c"
	"remmina_stats_sender.h"
	)

add_executable(remmina ${REMMINA_SRCS})
include_directories(${GTK_INCLUDE_DIRS} ${gio_INCLUDE_DIRS} ${gio-unix_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

if(WITH_MANPAGES)
	install(FILES remmina.1 DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1)
endif()

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

target_link_libraries(remmina ${CMAKE_THREAD_LIBS_INIT})

find_package(Intl)
if(INTL_FOUND AND "${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD|OpenBSD|NetBSD")
	message(STATUS "${CMAKE_SYSTEM_NAME} detected, building with Intl")
	include_directories(${Intl_INCLUDE_DIRS})
	target_link_libraries(remmina ${Intl_LIBRARIES})
endif()

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${LIBSSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(GCRYPT_FOUND)
	include_directories(${GCRYPT_INCLUDE_DIRS})
	target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
	include_directories(${AVAHI_INCLUDE_DIRS})
	target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

if(OPENSSL_FOUND)
	include_directories(${OPENSSL_INCLUDE_DIRS})
	target_link_libraries(remmina ${OPENSSL_LIBRARIES})
endif()

option(WITH_VTE "Build with support for VTE" ON)
if(GTK3_FOUND AND WITH_VTE)
	set(_VTE_VERSION_NUMS 2.91 2.90)
	foreach(__VTE_VERSION ${_VTE_VERSION_NUMS})
		set(_VTE_VERSION_NUM ${__VTE_VERSION})
		find_suggested_package(VTE)
		if(VTE_FOUND)
			break()
		endif()
		message(STATUS "VTE ${__VTE_VERSION} not found")
	endforeach()
elseif(WITH_VTE)
	set(_VTE_VERSION_NUM)
	find_package(VTE)
endif()

if(VTE_FOUND)
	add_definitions(-DHAVE_LIBVTE)
	include_directories(${VTE_INCLUDE_DIRS})
	target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(sodium_FOUND)
    message(STATUS "Sodium found")
    message(STATUS "Sodium include dirs ${sodium_INCLUDE_DIR}")
    include_directories(${sodium_INCLUDE_DIR})
    target_link_libraries(remmina sodium)
endif()

if(GTK3_FOUND)
	find_suggested_package(APPINDICATOR)
	if(APPINDICATOR_FOUND)
		add_definitions(-DHAVE_LIBAPPINDICATOR)
		include_directories(${APPINDICATOR_INCLUDE_DIRS})
		target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
	endif()
	find_required_package(JSONGLIB)
	if(JSONGLIB_FOUND)
		include_directories(${JSONGLIB_INCLUDE_DIRS})
		target_link_libraries(remmina ${JSONGLIB_LIBRARIES})
	else()
		message(FATAL_ERROR "json-glib library not found")
	endif()
	find_required_package(LIBSOUP24)
	if(LIBSOUP24_FOUND)
		include_directories(${LIBSOUP24_INCLUDE_DIRS})
		target_link_libraries(remmina ${LIBSOUP24_LIBRARIES})
	else()
		message(FATAL_ERROR "libsoup 2.4 library not found")
	endif()
endif()

add_subdirectory(external_tools)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY include/remmina/
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/remmina
	FILES_MATCHING PATTERN "*.h")

=== data/desktop/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

set(REMMINA_ICON ${REMMINA_APP_ID})

set(ICON16_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/apps")
set(ICON22_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/apps")
set(ICON24_DIR "${REMMINA_DATADIR}/icons/hicolor/24x24/apps")
set(ICON32_DIR "${REMMINA_DATADIR}/icons/hicolor/32x32/apps")
set(ICON48_DIR "${REMMINA_DATADIR}/icons/hicolor/48x48/apps")
set(ICON64_DIR "${REMMINA_DATADIR}/icons/hicolor/64x64/apps")
set(ICON72_DIR "${REMMINA_DATADIR}/icons/hicolor/72x72/apps")
set(ICON96_DIR "${REMMINA_DATADIR}/icons/hicolor/96x96/apps")
set(ICON128_DIR "${REMMINA_DATADIR}/icons/hicolor/128x128/apps")
set(ICON256_DIR "${REMMINA_DATADIR}/icons/hicolor/256x256/apps")
set(ICONSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/apps")
set(ICONAPPS_DIR "${REMMINA_DATADIR}/icons/hicolor/apps")
set(ICONPANSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/panel")

set(ICON16_DATA 16x16/apps/${REMMINA_ICON}.png)
set(ICON22_DATA 22x22/apps/${REMMINA_ICON}.png)
set(ICON24_DATA 24x24/apps/${REMMINA_ICON}.png)
set(ICON32_DATA 32x32/apps/${REMMINA_ICON}.png)
set(ICON48_DATA 48x48/apps/${REMMINA_ICON}.png)
set(ICON64_DATA 64x64/apps/${REMMINA_ICON}.png)
set(ICON72_DATA 72x72/apps/${REMMINA_ICON}.png)
set(ICON96_DATA 96x96/apps/${REMMINA_ICON}.png)
set(ICON128_DATA 128x128/apps/${REMMINA_ICON}.png)
set(ICON256_DATA 256x256/apps/${REMMINA_ICON}.png)
set(ICON16_DATA_PANEL 16x16/apps/remmina-panel.png)
set(ICON22_DATA_PANEL 22x22/apps/remmina-panel.png)
set(ICON24_DATA_PANEL 24x24/apps/remmina-panel.png)
set(ICON32_DATA_PANEL 32x32/apps/remmina-panel.png)
set(ICON48_DATA_PANEL 48x48/apps/remmina-panel.png)
set(ICON64_DATA_PANEL 64x64/apps/remmina-panel.png)
set(ICON72_DATA_PANEL 72x72/apps/remmina-panel.png)
set(ICON96_DATA_PANEL 96x96/apps/remmina-panel.png)
set(ICON128_DATA_PANEL 128x128/apps/remmina-panel.png)
set(ICON256_DATA_PANEL 256x256/apps/remmina-panel.png)
set(ICON16_DATA_PANEL_LIGHT 16x16/apps/remmina-panel-inverted.png)
set(ICON22_DATA_PANEL_LIGHT 22x22/apps/remmina-panel-inverted.png)
set(ICON24_DATA_PANEL_LIGHT 24x24/apps/remmina-panel-inverted.png)
set(ICON32_DATA_PANEL_LIGHT 32x32/apps/remmina-panel-inverted.png)
set(ICON48_DATA_PANEL_LIGHT 48x48/apps/remmina-panel-inverted.png)
set(ICON64_DATA_PANEL_LIGHT 64x64/apps/remmina-panel-inverted.png)
set(ICON72_DATA_PANEL_LIGHT 72x72/apps/remmina-panel-inverted.png)
set(ICON96_DATA_PANEL_LIGHT 96x96/apps/remmina-panel-inverted.png)
set(ICON128_DATA_PANEL_LIGHT 128x128/apps/remmina-panel-inverted.png)
set(ICON256_DATA_PANEL_LIGHT 256x256/apps/remmina-panel-inverted.png)
set(ICONSVG_PAN_DATA scalable/apps/remmina-panel.svg)
set(ICONSVG_PANINV_DATA scalable/apps/remmina-panel-inverted.svg)
set(ICONSVG_DATA scalable/apps/${REMMINA_ICON}.svg)
set(ICONSVG_RM_DATA scalable/apps/remmina-symbolic.svg)
set(ICONSVG_ORG_DATA scalable/apps/${REMMINA_ICON}-symbolic.svg)

install(FILES ${ICON16_DATA} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA} DESTINATION ${ICON48_DIR})
install(FILES ${ICON64_DATA} DESTINATION ${ICON64_DIR})
install(FILES ${ICON72_DATA} DESTINATION ${ICON72_DIR})
install(FILES ${ICON96_DATA} DESTINATION ${ICON96_DIR})
install(FILES ${ICON128_DATA} DESTINATION ${ICON128_DIR})
install(FILES ${ICON256_DATA} DESTINATION ${ICON256_DIR})
install(FILES ${ICONSVG_DATA} DESTINATION ${ICONSVG_DIR})
install(FILES ${ICONSVG_PAN_DATA} DESTINATION ${ICONSVG_DIR})
install(FILES ${ICONSVG_PAN_DATA} DESTINATION ${ICONPANSVG_DIR})
install(FILES ${ICONSVG_PANINV_DATA} DESTINATION ${ICONSVG_DIR})
install(FILES ${ICONSVG_PANINV_DATA} DESTINATION ${ICONPANSVG_DIR})
install(FILES ${ICONSVG_RM_DATA} DESTINATION ${ICONAPPS_DIR})
install(FILES ${ICONSVG_ORG_DATA} DESTINATION ${ICONAPPS_DIR})
install(FILES ${ICON16_DATA_PANEL} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA_PANEL} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA_PANEL} DESTINATION ${ICON48_DIR})
install(FILES ${ICON64_DATA_PANEL} DESTINATION ${ICON64_DIR})
install(FILES ${ICON72_DATA_PANEL} DESTINATION ${ICON72_DIR})
install(FILES ${ICON96_DATA_PANEL} DESTINATION ${ICON96_DIR})
install(FILES ${ICON128_DATA_PANEL} DESTINATION ${ICON128_DIR})
install(FILES ${ICON256_DATA_PANEL} DESTINATION ${ICON256_DIR})
install(FILES ${ICON16_DATA_PANEL_LIGHT} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL_LIGHT} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL_LIGHT} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA_PANEL_LIGHT} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA_PANEL_LIGHT} DESTINATION ${ICON48_DIR})
install(FILES ${ICON64_DATA_PANEL_LIGHT} DESTINATION ${ICON64_DIR})
install(FILES ${ICON72_DATA_PANEL_LIGHT} DESTINATION ${ICON72_DIR})
install(FILES ${ICON96_DATA_PANEL_LIGHT} DESTINATION ${ICON96_DIR})
install(FILES ${ICON128_DATA_PANEL_LIGHT} DESTINATION ${ICON128_DIR})
install(FILES ${ICON256_DATA_PANEL_LIGHT} DESTINATION ${ICON256_DIR})

set(REMMINA_BINARY_PATH ${CMAKE_INSTALL_FULL_BINDIR}/remmina)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${REMMINA_APP_ID}.desktop.in
    ${CMAKE_CURRENT_BINARY_DIR}/${REMMINA_APP_ID}.desktop @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina-file.desktop.in
    ${CMAKE_CURRENT_BINARY_DIR}/remmina-file.desktop @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina-file-wrapper.in
    ${CMAKE_CURRENT_BINARY_DIR}/remmina-file-wrapper @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${REMMINA_APP_ID}.desktop
    DESTINATION "${REMMINA_DATADIR}/applications")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina-file.desktop
    DESTINATION "${REMMINA_DATADIR}/applications")
install(FILES ${REMMINA_APP_ID}.appdata.xml
    DESTINATION "${REMMINA_DATADIR}/metainfo")
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina-file-wrapper
    DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}"
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_READ WORLD_EXECUTE
    )
# Kiosk Session Files
install(
    FILES remmina-gnome-xsession.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xsessions
    RENAME remmina-gnome.desktop
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
    RENAME remmina-gnome.desktop
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome.session
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gnome-session/sessions
    RENAME remmina-gnome.session
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
    )
install(
    FILES remmina-gnome
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    RENAME remmina-gnome
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
    )

if(WITH_MANPAGES)
    install(
        FILES remmina-gnome.1
        DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
        )
endif()

install(
    FILES gnome-session-remmina
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
    RENAME gnome-session-remmina
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
    )

if(WITH_MANPAGES)
    install(
        FILES gnome-session-remmina.1
        DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
        )
    install(
        FILES remmina-file-wrapper.1
        DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
        )
endif()

# XML mime types
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.30" )
set( XDG_MIME_INSTALL_DIR "${REMMINA_DATADIR}/mime/packages" )
find_package( SharedMimeInfo )
if( SHARED_MIME_INFO_FOUND )
    install( FILES remmina-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
    update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )
endif()
if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()
if(WITH_UPDATE_DESKTOP_DB)
    find_program(PROG_UPDATE_DESKTOP_DATABASE update-desktop-database)
    if( PROG_UPDATE_DESKTOP_DATABASE )
        install(
            CODE
            "message(STATUS \"Updating desktop file database\")"
            CODE
            "execute_process(COMMAND ${PROG_UPDATE_DESKTOP_DATABASE}
            -q ${CMAKE_INSTALL_PREFIX}/share/applications)"
            )
    endif()
endif()

=== data/theme/CMakeLists.txt ===
# data/theme - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

file(GLOB TERM_COLOR_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.colors")
foreach(ITEM ${TERM_COLOR_FILES})
    list( APPEND FILES_TO_DEPLOY "${ITEM}" )
endforeach()
install( FILES ${FILES_TO_DEPLOY} DESTINATION "${REMMINA_THEMEDIR}" )

=== plugins/exec/CMakeLists.txt ===
# remmina-plugin-tool_hello_world - The GTK+ Remote Desktop Client
#
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_EXEC_SRCS
        exec_plugin_config.h
        exec_plugin.c
)

add_library(remmina-plugin-exec MODULE ${REMMINA_PLUGIN_EXEC_SRCS})
set_target_properties(remmina-plugin-exec PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-exec PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${GTK_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-exec ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-exec DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-tool-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

=== plugins/nx/CMakeLists.txt ===
# remmina-plugin-nx - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_NX_SRCS
        nx_session.c
        nx_session.h
        nx_session_manager.c
        nx_session_manager.h
        nx_plugin.c
        nx_plugin.h
        )

add_library(remmina-plugin-nx ${REMMINA_PLUGIN_NX_SRCS})
set_target_properties(remmina-plugin-nx PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-nx PROPERTIES NO_SONAME 1)

find_package(X11)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS}
    ${XKBFILE_INCLUDE_DIRS} ${LIBSSH_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-nx
    ${REMMINA_COMMON_LIBRARIES}
    ${XKBFILE_LIBRARIES}
    ${LIBSSH_LIBRARIES}
    ${X11_X11_LIB})

install(TARGETS remmina-plugin-nx DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-nx-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

=== plugins/rdp/CMakeLists.txt ===
# remmina-plugin-rdp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)
find_package(X11)

find_suggested_package(Cups)

set(REMMINA_PLUGIN_RDP_SRCS
        rdp_plugin.c
        rdp_plugin.h
        rdp_event.c
        rdp_event.h
        rdp_file.c
        rdp_file.h
        rdp_settings.c
        rdp_settings.h
        rdp_graphics.c
        rdp_graphics.h
        rdp_cliprdr.c
        rdp_cliprdr.h
        rdp_channels.c
        rdp_channels.h
        )

add_definitions(-DFREERDP_REQUIRED_MAJOR=${FREERDP_REQUIRED_MAJOR})
add_definitions(-DFREERDP_REQUIRED_MINOR=${FREERDP_REQUIRED_MINOR})
add_definitions(-DFREERDP_REQUIRED_REVISION=${FREERDP_REQUIRED_REVISION})

option(WITH_FREERDP_MASTER "Compile the RDP plugin using symbols from FreeRDP master branch." OFF)
if(WITH_FREERDP_MASTER)
	message(STATUS "Compiling the RDP plugin using symbols from FreeRDP master branch.")
	add_definitions(-DWITH_FREERDP_MASTER=ON)
endif()

add_library(remmina-plugin-rdp MODULE ${REMMINA_PLUGIN_RDP_SRCS})
set_target_properties(remmina-plugin-rdp PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-rdp PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${FREERDP_INCLUDE_DIRS} ${X11_INCLUDE_DIR})
target_link_libraries(remmina-plugin-rdp
    ${REMMINA_COMMON_LIBRARIES} ${FREERDP_LIBRARIES} ${X11_LIBRARIES})

if(CUPS_FOUND)
    add_definitions(-DHAVE_CUPS)
    include_directories(${CUPS_INCLUDE_DIR})
    target_link_libraries(remmina-plugin-rdp
        ${REMMINA_COMMON_LIBRARIES} ${FREERDP_LIBRARIES} ${X11_LIBRARIES} ${CUPS_LIBRARIES})
endif()

install(TARGETS remmina-plugin-rdp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-rdp-ssh-symbolic.svg
    scalable/emblems/remmina-rdp-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

=== plugins/secret/CMakeLists.txt ===
# remmina-plugin-secret - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


find_suggested_package(Libsecret)
if(LIBSECRET_FOUND)
    set(REMMINA_PLUGIN_SECRET_SRCS src/glibsecret_plugin.c)

    add_library(remmina-plugin-secret MODULE ${REMMINA_PLUGIN_SECRET_SRCS})
    set_target_properties(remmina-plugin-secret PROPERTIES PREFIX "")
    set_target_properties(remmina-plugin-secret PROPERTIES NO_SONAME 1)

    include_directories(${GTK_INCLUDE_DIRS})
    target_link_libraries(remmina-plugin-secret ${GTK_LIBRARY_DIRS})

    include_directories(SYSTEM ${LIBSECRET_INCLUDE_DIRS})
    target_link_libraries(remmina-plugin-secret ${LIBSECRET_LIBRARIES} ${GLIB2_LIBRARY})

    install(TARGETS remmina-plugin-secret DESTINATION ${REMMINA_PLUGINDIR})
endif()

=== plugins/st/CMakeLists.txt ===
# remmina-plugin-st - The GTK+ Remote Desktop Client
#
# Copyright (C) 2016-2020 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_ST_SRCS
        st_plugin_config.h
        st_plugin.c
)

add_library(remmina-plugin-st MODULE ${REMMINA_PLUGIN_ST_SRCS})
set_target_properties(remmina-plugin-st PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-st PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${GTK_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-st ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-st DESTINATION ${REMMINA_PLUGINDIR})

install(FILES
    scalable/emblems/remmina-tool-symbolic.svg
    DESTINATION ${APPICONSCALE_EMBLEMS_DIR})

if(WITH_ICON_CACHE)
    gtk_update_icon_cache("${REMMINA_DATADIR}/icons/hicolor")
endif()

=== debian/changelog ===
remmina (1.4.2+dfsg-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is sorted
    - remove the remmina session from GDM, it's not something we want in
      the default installation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 12 Apr 2020 10:50:49 +0200

remmina (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (merged upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 11 Apr 2020 20:31:07 +0200

remmina (1.4.1+dfsg-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is sorted
    - remove the remmina session from GDM, it's not something we want in
      the default installation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Mar 2020 18:03:51 +0100

remmina (1.4.1+dfsg-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fixing-setting-array-for-VNCI.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 28 Mar 2020 14:03:19 +0100

remmina (1.4.1+dfsg-2ubuntu2) focal; urgency=medium

  * debian/rules:
    - remove the remmina session from GDM, it's not something we want in
      the default installation (lp: #1862698)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 11:58:01 +0100

remmina (1.4.1+dfsg-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch back appindicator, until the MIR in 1770146 is sorted

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Mar 2020 09:06:07 +0100

remmina (1.4.1+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset added
    - 0001-SFTP-with-tunnel-fixes.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 25 Mar 2020 22:39:17 +0100

=== debian/control ===
Source: remmina
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper-compat (= 12),
 freerdp2-dev (>= 2.0.0~),
 intltool,
 libappindicator3-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libcups2-dev,
 libgcrypt-dev | libgcrypt20-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libjson-glib-dev,
 libkf5wallet-dev,
 libsecret-1-dev,
 libsodium-dev,
 libsoup2.4-dev,
 libspice-client-gtk-3.0-dev,
 libspice-protocol-dev,
 libssh-dev (>= 0.8.1),
 libvncserver-dev,
 libvte-2.91-dev,
 libwebkit2gtk-4.0-dev,
 libxkbfile-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.remmina.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/remmina

Package: remmina
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc,
 remmina-plugin-secret
Suggests:
 remmina-plugin-exec,
 remmina-plugin-kwallet,
 remmina-plugin-nx,
 remmina-plugin-spice,
 remmina-plugin-www,
 remmina-plugin-xdmcp
Description: GTK+ Remote Desktop Client
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.

Package: remmina-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: remmina
Description: Common files for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the common files.

Package: remmina-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Headers for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the development headers for Remmina, to develop
 new plugins.

Package: remmina-plugin-rdp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: RDP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-spice
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
Description: Spice plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the Spice plugin for Remmina.

Package: remmina-plugin-secret
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Breaks: remmina-plugin-gnome
Replaces: remmina-plugin-gnome
Description: Secret plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the secret plugin for Remmina, which
 allows one to store and retrieve passwords from GNOME Keyring
 or KWallet.

Package: remmina-plugin-exec
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: EXEC plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the EXEC plugin for Remmina.

Package: remmina-plugin-kwallet
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: KWallet plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the KWallet plugin for Remmina, which
 allows one to store and retrieve passwords using the KDE wallet.

Package: remmina-plugin-www
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: WWW plugin for Remmina
 Remmina is a remote desktop client written in GTK+, aiming to be
 useful for system administrators and travellers, who need to work
 with lots of remote computers in front of either large monitors or
 tiny netbooks.
 .
 Remmina supports multiple network protocols in an integrated and
 consistent user interface.
 .
 Currently RDP, VNC, SPICE, WWW, NX, XDMCP, EXEC and SSH are supported.
 .
 This package contains the WWW plugin for Remmina.

=== debian/rules ===
#!/usr/bin/make -f

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_KF5WALLET=ON

override_dh_install:
	dh_install
	# don't list the remmina session on gdm
	rm $(CURDIR)/debian/remmina/usr/share/xsessions/remmina-gnome.desktop
	cd po; intltool-update --pot --verbose -g remmina
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.1" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_clean:
	-rm po/remmina.pot
	dh_clean
